summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2022-05-13 11:13:43 +0200
committerMichał Górny <mgorny@gentoo.org>2022-05-13 11:32:18 +0200
commit92336a8e568d682b69217e09bb807cac387e5050 (patch)
tree6545b8c7baa8ffa781eab329c7059fe9b90b56bb /dev-python/trustme/trustme-0.9.0-r1.ebuild
parentdev-java/stax2-api: dropped obsolete 4.2.1 (diff)
downloadgentoo-92336a8e568d682b69217e09bb807cac387e5050.tar.gz
gentoo-92336a8e568d682b69217e09bb807cac387e5050.tar.bz2
gentoo-92336a8e568d682b69217e09bb807cac387e5050.zip
dev-python/trustme: Use PEP517 build
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/trustme/trustme-0.9.0-r1.ebuild')
-rw-r--r--dev-python/trustme/trustme-0.9.0-r1.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/trustme/trustme-0.9.0-r1.ebuild b/dev-python/trustme/trustme-0.9.0-r1.ebuild
new file mode 100644
index 00000000000..ccec9efd90e
--- /dev/null
+++ b/dev-python/trustme/trustme-0.9.0-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="#1 quality TLS certs while you wait, for the discerning tester"
+HOMEPAGE="
+ https://github.com/python-trio/trustme/
+ https://pypi.org/project/trustme/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/service_identity[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # unhappy with new tls defaults?
+ tests/test_trustme.py::test_stdlib_end_to_end
+ tests/test_trustme.py::test_pyopenssl_end_to_end
+)